<?php

$seo_post_types = array('post','page');
define("SEOPOSTTYPES", serialize($seo_post_types));

//Global options setup
add_action('init','woo_global_options');
function woo_global_options(){
	// Populate WooThemes option in array for use in theme
	global $woo_options;
	$woo_options = get_option('woo_options');
}

add_action('admin_head','woo_options');  
if (!function_exists('woo_options')) {
function woo_options(){
	
// VARIABLES
$themename = "Skeptical";
$manualurl = 'http://www.woothemes.com/support/theme-documentation/skeptical/';
$shortname = "woo";

$GLOBALS['template_path'] = get_bloginfo('template_directory');

//Access the WordPress Categories via an Array
$woo_categories = array();  
$woo_categories_obj = get_categories('hide_empty=0');
foreach ($woo_categories_obj as $woo_cat) {
    $woo_categories[$woo_cat->cat_ID] = $woo_cat->cat_name;}
$categories_tmp = array_unshift($woo_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$woo_pages = array();
$woo_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($woo_pages_obj as $woo_page) {
    $woo_pages[$woo_page->ID] = $woo_page->post_name; }
$woo_pages_tmp = array_unshift($woo_pages, "Выберите страницу:");       

// Image Alignment radio box
$options_thumb_align = array("alignleft" => "Слева","alignright" => "Справа","aligncenter" => "Center"); 

// Image Links to Options
$options_image_link_to = array("image" => "Изображение","post" => "The Post"); 

//Testing 
$options_select = array("one","two","three","four","five"); 
$options_radio = array("one" => "Один","two" => "Два","three" => "Три","four" => "Четыре","five" => "Пять"); 

//URL Shorteners
if (_iscurlinstalled()) {
	$options_select = array("Выключено","TinyURL","Bit.ly");
	$short_url_msg = 'Выберите адрес для сокращения, для сервиса который вы хотите использовать.'; 
} else {
	$options_select = array("Off");
	$short_url_msg = '<strong>На вашем сервере не обнаружен cURL, он необходим для сервиса сокращения ссылок.</strong>'; 
}

//Stylesheets Reader
$alt_stylesheet_path = TEMPLATEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options


$other_entries = array("Выберите количество:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// THIS IS THE DIFFERENT FIELDS
$options = array();   

$options[] = array( "name" => "General / Общие",
					"icon" => "general",
                    "type" => "heading");
                        
$options[] = array( "name" => "Стили темы",
					"desc" => "Выберите альтернативную цветовую схему для вашей темы.",
					"id" => $shortname."_alt_stylesheet",
					"std" => "default.css",
					"type" => "select",
					"options" => $alt_stylesheets);

$options[] = array( "name" => "Лого",
					"desc" => "Загрузите лого для вашей темы, или укажите прямую ссылку к нему здесь.",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");    
                                                                                     
$options[] = array( "name" => "Текстовый заголовок",
					"desc" => "Включите текстовый заголовок и описание для сайта. См. Настройки -> Общие.",
					"id" => $shortname."_texttitle",
					"std" => "false",
					"class" => "collapsed",
					"type" => "checkbox");

$options[] = array( "name" => "Заголовок сайта",
					"desc" => "Измените заголовок сайта (должна быть включена опция 'Текстовый заголовок').",
					"id" => $shortname."_font_site_title",
					"std" => array('size' => '24','unit' => 'px','face' => 'Arial','style' => 'bold','color' => '#fff'),
					"class" => "hidden",
					"type" => "typography");  

$options[] = array( "name" => "Описание сайта",
					"desc" => "Измените описание сайта (должна быть включена опция 'Текстовый заголовок').",
					"id" => $shortname."_font_tagline",
					"std" => array('size' => '12','unit' => 'px','face' => 'Georgia','style' => 'italic','color' => '#bbb'),
					"class" => "hidden last",
					"type" => "typography");  
					          
$options[] = array( "name" => "Фавиконка",
					"desc" => "Загрузите изображение 16px x 16px в формате <a href='http://www.faviconr.com/'>ico</a>, которое будет использоваться в адресной строке браузера при посещении вашего сайта.",
					"id" => $shortname."_custom_favicon",
					"std" => "",
					"type" => "upload"); 
                                               
$options[] = array( "name" => "Код статистики",
					"desc" => "Введите свой код Google Analytics (или другой). Он будет добавлен в подвал вашего сайта.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");        

$options[] = array( "name" => "Адрес RSS",
					"desc" => "Enter your preferred RSS URL. (Feedburner or other)",
					"id" => $shortname."_feed_url",
					"std" => "",
					"type" => "text");
                    
$options[] = array( "name" => "Адрес подписки по E-Mail",
					"desc" => "Введите предпочитаемый адрес для E-mail подписки. (Feedburner или другой)",
					"id" => $shortname."_subscribe_email",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => "E-Mail для контактной формы",
					"desc" => "Введите ваш E-mail для использования в шаблоне контактной формы. Добавьте контактную форму посредством добавления страницы Контакты и выбора шаблона для страницы 'Contact Form'.",
					"id" => $shortname."_contactform_email",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => "Пользовательский CSS",
                    "desc" => "Вы можете быстро добавить дополнительный CSS-код в вашу тему, отредактировав эту область.",
                    "id" => $shortname."_custom_css",
                    "std" => "",
                    "type" => "textarea");

$options[] = array( "name" => "Комментарии для Страницы/Статьи",
					"desc" => "Выберите если вы хотите включить/отключить комментарии на страницах или в статьях. ",
					"id" => $shortname."_comments",
					"type" => "select2",
					"options" => array("post" => "Только статьи", "page" => "Только страницы", "both" => "Страницы / Статьи", "none" => "None") );                                                          
    
$options[] = array( "name" => "Содержание статьи",
					"desc" => "Выберите, хотите ли вы показывать полное содержание или анонсы для статей. ",
					"id" => $shortname."_post_content",
					"type" => "select2",
					"options" => array("excerpt" => "Анонс", "content" => "Полное содержание" ) );                                                          

$options[] = array( "name" => "Styles / Стили",
					"icon" => "styling",
					"type" => "heading");   
					
$options[] = array( "name" =>  "Фон сайта",
					"desc" => "Выберите цвет для фона сайта или добавьте HEX-код, например, #697e09",
					"id" => "woo_body_color",
					"std" => "",
					"type" => "color");
					
$options[] = array( "name" => "Изображение для фона",
					"desc" => "Загрузите изображение для фона",
					"id" => $shortname."_body_img",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => "Повтор изображения для фона",
                    "desc" => "Выберите как вы хотите повторять изображение фона",
                    "id" => $shortname."_body_repeat",
                    "std" => "no-repeat",
                    "type" => "select",
                    "options" => $body_repeat);

$options[] = array( "name" => "Позиция изображения фона",
                    "desc" => "Выберите, как вы хотите расположить фон",
                    "id" => $shortname."_body_pos",
                    "std" => "top",
                    "type" => "select",
                    "options" => $body_pos);

$options[] = array( "name" =>  "Цвет ссылки",
					"desc" => "Выберите цвет ссылки или добавьте HEX-код, например, #697e09",
					"id" => "woo_link_color",
					"std" => "",
					"type" => "color");   

$options[] = array( "name" =>  "Цвет ссылки при наведении",
					"desc" => "Выберите цвет ссылки при наведении или добавьте HEX-код, например, #697e09",
					"id" => "woo_link_hover_color",
					"std" => "",
					"type" => "color");                    

$options[] = array( "name" =>  "Цвет кнопок",
					"desc" => "Выберите цвет кнопок или добавьте HEX-код, например, #697e09",
					"id" => "woo_button_color",
					"std" => "",
					"type" => "color");          
					
$options[] = array( "name" => "Fonts / Шрифты",
					"icon" => "typography",
					"type" => "heading");    

$options[] = array( "name" => "Включить пользовательскую типографию",
					"desc" => "Включите, если хотите настроить шрифты на сайте. Эти стили будут добавлены в секцию HEAD.",
					"id" => $shortname."_typography",
					"std" => "false",
					"type" => "checkbox"); 									   

$options[] = array( "name" => "Общая типография",
					"desc" => "Измените основной шрифт.",
					"id" => $shortname."_font_body",
					"std" => array('size' => '12','unit' => 'px','face' => 'Helvetica','style' => '','color' => '#555555'),
					"type" => "typography");  

$options[] = array( "name" => "Навигация",
					"desc" => "Измените шрифт для навигации.",
					"id" => $shortname."_font_nav",
					"std" => array('size' => '15','unit' => 'px','face' => 'Helvetica','style' => 'bold','color' => '#ffffff'),
					"type" => "typography");  

$options[] = array( "name" => "Заголовок статьи",
					"desc" => "Измените шрифт для заголовков статей.",
					"id" => $shortname."_font_post_title",
					"std" => array('size' => '30','unit' => 'px','face' => 'Helvetica','style' => 'bold','color' => '#000000'),
					"type" => "typography");  

$options[] = array( "name" => "Данные о статье",
					"desc" => "Измените шрифт для данных о статье.",
					"id" => $shortname."_font_post_meta",
					"std" => array('size' => '12','unit' => 'px','face' => 'Helvetica','style' => '','color' => '#ffffff'),
					"type" => "typography");  
					          
$options[] = array( "name" => "Текст статьи",
					"desc" => "Измените шрифт для текста статьи.",
					"id" => $shortname."_font_post_entry",
					"std" => array('size' => '14','unit' => 'px','face' => 'Helvetica','style' => '','color' => '#555555'),
					"type" => "typography");  

$options[] = array( "name" => "Заголовки виджетов",
					"desc" => "Измените шрифт для заголовков виджетов.",
					"id" => $shortname."_font_widget_titles",
					"std" => array('size' => '18','unit' => 'px','face' => 'Helvetica','style' => 'bold','color' => '#333333'),
					"type" => "typography");  

$options[] = array( "name" => "Layout / Структура",
					"icon" => "layout",
					"type" => "heading");
										
$options[] = array( "name" => "Показывать сайдбар",
					"desc" => "Выберите, если хотите показывать виджетизированный сайдбар вместо Похожих статей.",
					"id" => $shortname."_sidebar",
					"std" => "false",
					"type" => "checkbox");
					
$options[] = array( "name" => "Количество похожих статей",
					"desc" => "Ограничть количество похожих статей для показа под публикацией (показ сайдбара должен быть отключен).",
					"id" => $shortname."_more_from_count",
					"std" => "5",
					"type" => "select",
					"options" => $other_entries);
					
$options[] = array( "name" => "Footer / Подвал",
					"icon" => "footer",
					"type" => "heading");

$options[] = array( "name" => "Показывать публикации в подвале?",
					"desc" => "Отметьте, если хотите показывать публикации в подвале.",
					"id" => $shortname."_older_footer",
					"std" => "false",
					"type" => "checkbox");

$options[] = array( "name" => "Заголовки статей в подвале",
					"desc" => "Добавьте свой заголовок для секции публикаций в подвале",
					"id" => $shortname."_older_footer_heading",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => "Тег источника статей",
					"desc" => "Введите тег архива, из которого будут публиковаться 3 последних статьи в подвале.",
					"id" => $shortname."_older_footer_tag",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => "Показывать Flickr в расширенном подвале?",
					"desc" => "Отметьте, если хотите показывать фото Flickr в подвале.",
					"id" => $shortname."_flickr_footer",
					"std" => "false",
					"type" => "checkbox"); 
					
$options[] = array( "name" => "Заголовок для Flickr",
					"desc" => "Введите заголовок, который вы хотите показывать для секции Flickr в подвале",
					"id" => $shortname."_flickr_footer_heading",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => "ID Flickr",
					"desc" => "Введите ваш ID  Flickr для расширенного подвала",
					"id" => $shortname."_flickr_footer_id",
					"std" => "",
					"type" => "text");
										
					
$options[] = array( "name" => "Партнерская ссылка",
					"desc" => "Добавьте партнерскую ссылку к лого WooThemes в подвале вашей темы.",
					"id" => $shortname."_footer_aff_link",
					"std" => "",
					"type" => "text");	
									
$options[] = array( "name" => "Включить текст в подвале (Слева)",
					"desc" => "Активируйте, если хотите добавить свой текст в подвале.",
					"id" => $shortname."_footer_left",
					"class" => "collapsed",
					"std" => "false",
					"type" => "checkbox");    

$options[] = array( "name" => "Введите пользовательский текст (Слева)",
					"desc" => "Ваш HTML и текст, который будет показан в подвале.",
					"id" => $shortname."_footer_left_text",
					"class" => "hidden last",
					"std" => "<p></p>",
					"type" => "textarea");
						
$options[] = array( "name" => "Включить текст в подвале (Справа)",
					"desc" => "Активируйте, если хотите добавить свой текст в подвале.",
					"id" => $shortname."_footer_right",
					"class" => "collapsed",
					"std" => "false",
					"type" => "checkbox");    

$options[] = array( "name" => "Введите пользовательский текст (Справа)",
					"desc" => "Ваш HTML и текст, который будет показан в подвале.",
					"id" => $shortname."_footer_right_text",
					"class" => "hidden last",
					"std" => "<p></p>",
					"type" => "textarea");							         
					
 					                   
$options[] = array( "name" => "Thumbs / Миниатюры",
					"icon" => "image",
				    "type" => "heading");  
				    				   
$options[] = array( "name" => "Включите поддержку миниатюр WordPress",
					"desc" => "Испольлзуйте встроенные миниатюры WordPress.",
					"id" => $shortname."_post_image_support",
					"std" => "true",
					"class" => "collapsed",
					"type" => "checkbox"); 

$options[] = array( "name" => "Миниатюры WP",
					"desc" => "Миниатюра будет автоматически создана, используя родной функционал WP для ресайзинга. <em>(Требует PHP 5.2+)</em>",
					"id" => $shortname."_pis_resize",
					"std" => "true",
					"class" => "hidden",
					"type" => "checkbox"); 									   
					
$options[] = array( "name" => "Жетская обрезка миниатюры",
					"desc" => "Изображение будет обрезано, чтобы отвечать заданному размеру и сохранять пропорции.",
					"id" => $shortname."_pis_hard_crop",
					"std" => "true",
					"class" => "hidden last",
					"type" => "checkbox"); 									   

$options[] = array( "name" => "Включить автоматический ресайзинг изображений",
					"desc" => "Будет использован скрипт thumb.php.",
					"id" => $shortname."_resize",
					"std" => "true",
					"type" => "checkbox");    
                    
$options[] = array( "name" => "Автоматический ресайзинг",
					"desc" => "Если в произвольном поле 'image' не найдено изображение, будет использовано первое загруженное в статью изображение.",
					"id" => $shortname."_auto_img",
					"std" => "false",
					"type" => "checkbox");    

$options[] = array( "name" => "Размер миниатюры",
					"desc" => "Введите целое число, например, 250, которое будет использоваться для генерации миниатюр.",
					"id" => $shortname."_image_dimensions",
					"std" => "",
					"type" => array(
									array(  'id' => $shortname. '_thumb_h',
											'type' => 'text',
											'std' => 250,
											'meta' => 'Высота')
								  ));

$options[] = array( "name" => "Показывать миниатюру в статьях",
					"desc" => "Показывать прикрепленное изображение в качестве миниатюры на странице со статьей.",
					"id" => $shortname."_thumb_single",
					"class" => "collapsed",
					"std" => "false",
					"type" => "checkbox");    

$options[] = array( "name" => "Размер изображения для показа в статье",
					"desc" => "Введите целое число, например, 250. Максимальная ширина 576.",
					"id" => $shortname."_image_dimensions",
					"std" => "",
					"class" => "hidden last",
					"type" => array(
									array(  'id' => $shortname. '_single_h',
											'type' => 'text',
											'std' => 250,
											'meta' => 'Высота')
								  ));
								  
$options[] = array( "name" => "Добавить миниатюру в RSS-ленту",
					"desc" => "Добавьте загруженное в пользовательских настройках изображение в RSS-ленту",
					"id" => $shortname."_rss_thumb",
					"std" => "false",
					"type" => "checkbox");  
					
                                              
// Add extra options through function
if ( function_exists("woo_options_add") )
	$options = woo_options_add($options);

if ( get_option('woo_template') != $options) update_option('woo_template',$options);      
if ( get_option('woo_themename') != $themename) update_option('woo_themename',$themename);   
if ( get_option('woo_shortname') != $shortname) update_option('woo_shortname',$shortname);
if ( get_option('woo_manual') != $manualurl) update_option('woo_manual',$manualurl);



                                     
// Woo Metabox Options
// Start name with underscore to hide custom key from the user
$woo_metaboxes = array();
			
$woo_metaboxes[] = array (	"name" => "image",
							"label" => "Изображние",
							"type" => "upload",
							"desc" => "Загрузите изображение здесь...");
														
$woo_metaboxes[] = array (	"name"  => "embed",
							"std"  => "Это текст по-умолчанию",
							"label" => "Текст",
							"type" => "textarea",
							"desc" => "Текст");
							
    
// Add extra metaboxes through function
if ( function_exists("woo_metaboxes_add") )
	$woo_metaboxes = woo_metaboxes_add($woo_metaboxes);
    
if ( get_option('woo_custom_template') != $woo_metaboxes) update_option('woo_custom_template',$woo_metaboxes);    

//Only show SEO on these registered post types

}
}
?>